<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

			<title>Where are the Romance Studies Heading?<br/>
				A Digital Analysis through Data from Library Catalogs</title>

			<meta name="description" content="Where are the Romance Studies Heading? A Digital Analysis through Data from Library Catalogs">
		<meta name="author" content="Dr. José Calvo Tello">

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/theme/sky.css" id="theme">
		<link rel="stylesheet" href="custom.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->			
## Where are the Romance Studies Heading? <br />A Digital Analysis through Data from Library Catalogs

<br />

###### Romanistentag, 6.10.2021

<hr />

#### Dr. José Calvo Tello
##### Göttingen State and University Library


<!--
							https://jose.calvotello.pages.gwdg.de/slides/talks/20210714_VDB_DH

https://gitlab.gwdg.de/jose.calvotello/slides/-/raw/master/talks/20210714_VDB_DH/Digital_Humanities_Bibliotheken.pdf?inline=false-->


--

## Development in the last Decades?
## Expectation for the next Years?

* Languages
* Media
<!--* Prices-->
* Themes


<!--

## Table of Content

* Bibliographic Data as a Research Object
* Data selection
* Dataset (and its limitations)
* Method (example of number of pages)
* Categories (languages, media, publishers, type of publication)
* Price
* Themes
	* Keywords
	* WordNet-->


---

# Bibliographic Data as a Research Object

--

## Bibliographic Data as a Research Object
* Increasing interest in data from bibliographies and catalogues
* "Bibliographic Data Science"
* Advantages
	* Big data
	* Curated data (in many cases standardized)

--

## Big Curated Data!

--

## However...

--

<img data-src="./img/spiderman_library_catalogues.jpg" width="400"/>

--

## Challenges
* Incomplete
* Heterogeneous
* Historical changes
* Theory != Practice

--

## Biases

<img data-src="./img/bias everywhere.jpg" width="800"/>

--


## Three Important Considerations
* Hypotheses testing
* Is the change happening in the original data or just in the cataloguing process?
* Beware of abrupt changes!


---

# Data Selection

--

## Data Selection

1. Source and types of publications
2. Type of instance
3. Selection of Romance Languages Studies

--

# Source: K10plus

* One of the largest library catalogues in the German-speaking area
	* https://kxp.k10plus.de
* The largest German association of Common Library Networks
	* Gemeinsame Bibliotheksverbund  (GBV)
	* Südwestdeutsche Bibliotheksverbund (SWB)
* 65 million <em>titles</em>
* *German* Romance Languages Studies

<img data-src="./img/Karte-761x1024.jpg" width="200"/>

--

# Source: K10plus

* Monographs
* Journals
* Series
* E-Books
* Open Access E-Books
* <del>Chapters<del>
* <del>Articles<del>
* <del>Conference papers<del>


--

## Which Instances are being Analyzed?

<!--
* A work?
* The translations?
* The editions?
* The reprints?
* The number of copies in libraries?
* Each single copy?

-->

--

## Which Instances are being Analyzed?

<img data-src="./img/jane_austen_romanistentag.drawio.png" width="900"/>

* Reprints in libraries (regardless of the number of copies in each library)

--

## Selection of Romance Languages

* 5 classification systems:
	* Basisklassifikation (BK) 
		* regex = "18\.[23]\d"
	* Sachgruppe from the German National Library
		* regex = "^(4[456]\d|8[456])"
	* Dewey Decimal Classification (DDC)
		* regex = "^(4[456]\d|8[456])"
	* Regensburger Verbundklassifikation (RVK)
		* regex = "^I.*?"
	* Library of Congress Classification (LCC)
		* regex = "^p[cq].*?"


---

# Dataset

--

# Pre-Processing Steps

1. Select records published between 1980 and 2019
2. Download data from the API (RSU) as PICA-XML
3. Select PICA fields through XPaths
4. Convert to table
5. Already published in GitLab: https://gitlab.gwdg.de/jose.calvotello/romance-languages-studies-2021

--

# Dataset Description

* 1,094,658 data points
* Data points = reprints in libraries (regardless of the number of copies in each library)

<img data-src="./img/2_0_describe/number_records_years.png" width="700"/>

--

<img data-src="./img/bias everywhere.jpg" width="800"/>

--


# The Never Finished Library

<img data-src="./img/2_0_describe/scatter_year_publication_year_entry_catalog.png" width="600"/>

--

# The Never Finished Library

<img data-src="./img/2_0_describe/boxplot_year_publication_year_entry_catalog.png" width="1500"/>


--

# The Never Finished Annotation

<img data-src="./img/2_0_describe/percentage_titles_fields.png" width="300"/>


---

# Method

--

## Steps

1. Extract data from PICA field (regular expression or tokenization)
2. (Calculate relative frequency by the records of this year)
3. Visualize (scatter, area, line plot)
4. <b>Regression</b> (linear regression):
	* Statistical test with p-value: Is the tendency statistically significant?
	* Slope: Expectation for the next years
5. Python scripts in Jupyter Notebooks also in GitLab: https://gitlab.gwdg.de/jose.calvotello/romance-languages-studies-2021


--

## Pages: Example

* <b>Research question</b>: Are publications becoming lengthier? Is the number of pages increasing over time?
* <b>PICA+</b>: field 034D, subfield a
* <b>Coverage </b>: 95% with some information (91% with extracted numerical information)

--

## Pages: Data Extraction 

* <b>Regular expression</b> (in Pandas): df["pages"].str.findall("\d+").str.get(0)

<img data-src="./img/pages_table.png" width="600"/>

--

## Pages: Visualization

<img data-src="./img/2_1_describe/scatter_year_publication_pages.png" width="700"/>

* Mean number of pages in <b>1980: 236</b> pages
* Mean number of pages in <b>2019: 253</b> pages



--

## Pages: Regression Line 

* Entire dataset: <b>slope = 0.6</b>, p-value < 0.001
* Expectation: books will be in average 6 pages lengthier in 10 years
* Expectation: in 2030 books will be 260 pages long in average

---

# Categories

--

# Languages

* Language of the publication
* <del>Language as research object</del> (later!)

--

## Languages: Hypotheses

1. French was the more dominant language
2. Spanish and English are gaining importance
3. Explore the rest 


--

## Languages: Source

* PICA+: field 010@, subfield a
* Coverage: 98%
* From controlled list
* Multi-label

<!--## Languages: Number of Records-->

<!--<img data-src="./img/2_1_describe/bar_languages.png" width="900"/>-->

--

## Languages: Development

<img data-src="./img/2_1_describe/plot_lines_languages.png" width="900"/>




<!--## Languages: Development-->

<!--<img data-src="./img/languages_rel_freq.png" width="400"/>-->



<!--## Languages: Difference-->

<!--<img data-src="./img/languages_diff.png" width="400"/>-->


<!--<img data-src="./img/2_1_describe/bar_diff_languages.png" width="900"/>-->

--

						
## Languages: Slope of regression line

<img data-src="./img/2_1_describe/bar_slop_language.png" width="900"/>


<!--
## Languages: Report of the Results

* French was the predominant language
* It lost its position to German around 2010
* Third language: Spanish or French? 
* French is approximately  loosing 1% of the records of the dataset every 4 years
* Spanish and German are increasing their proportion of the records (around 1% every 8 years)
* English is also increasing its proportion of the records (around 1% every 20 years)
-->

--

## Place of Publication

--

## Place of Publication: Development

<img data-src="./img/2_1_describe/plot_lines_place_10.png" width="900"/>

--

## Place of Publication: Slope

<img data-src="./img/2_1_describe/bar_slop_publication_top_place.png" width="900"/>

--

## Place of Publication: Slope

<img data-src="./img/2_1_describe/bar_slop_publication_bottom_place.png" width="900"/>

--

# Publishers

--

## Publishers: Research questions

1. Which are the tendencies about the publishers?

--

## Publishers: Source

* PICA+: field 033A, subfield n
* Coverage: 98%
* Not normalized
* Messy (changes of names, rebranding, changes of ownership...)
<!--	* df["publisher"].str.replace(r"(?:de|ed|univ|verl|verlag|perss|ag)", r"", flags=re.I)-->
<!--	* df["publisher"].str.replace(r"(?:de|ed|univ|verl|verlag|perss|ag|publisher|pub|press|éd|presses|und|'|für|gmbh|du|verlag)[\W$]", r"", flags=re.I|re.M)-->

--

## Publishers: Development

<img data-src="./img/2_1_describe/area_publishers_chronological_top_10.png" width="900"/>

--


## Publishers: Slope of regression line (top)

<img data-src="./img/2_1_describe/bar_slop_publisher_top.png" width="900"/>

--

## Publishers: Slope of regression line (bottom)

<img data-src="./img/2_1_describe/bar_slop_publisher.png" width="900"/>

--

# Research Question

1. Is the market being more dominated by fewer publishers?


--

## Publishers: Standard deviation in relative frequency of publishers

<img data-src="./img/2_1_describe/standard_deviation_relative_frequency_publishers.png" width="900"/>


--

# Medium

--


## Medium: Hypotheses

1. The percentage of E-Books is increasing, but is still a minority for the Romance Languages Studies
2. E-Books are notably more expensive than printed books

--

## Medium: Source

* <b>PICA+</b>: field 002@, subfield 0
* <b>Coverage</b>: 100%
* Standardized, no multi-label

<!--
## Medium: Number of Records

<img data-src="./img/2_1_describe/bar_medium_percentage.png" width="600"/>

<div>

* Others: 2%
* Possible bias? (since E-Books and printed material do not undergo the same workflows. Plus media in the FIDs)
</div>
-->

--

## Medium: Development

<img data-src="./img/2_1_describe/area_medium_develope.png" width="700"/>

* For the entire period:
	* Printed: 91%
	* E-Books: 7%
* In the last 10 years:
	* Printed material: 84% 
	* E-Books: 14%

--

## Medium: Tendencies

<img data-src="./img/2_1_describe/bar_slop_medium.png" width="900"/>

* The tendency is to expect 0.4% more E-Books each year

--

## Medium: Tendencies

### <b>215 years</b> to get a full electronic catalogue for romance languages studies?

--

## Price: E-Books and Printed


<img data-src="./img/2_2_price/boxplot_prices_print_ebooks.png" width="500"/>

* E-Book = 59.4 € median price
* Printed = 22.83 € median price
* P-value < 0.001 in a t-test
* Results are not final (possible bias, only 345 E-Books...)

---

# Themes

--
# Themes: Keywords

--

## Keywords

* Intellectual annotation by subject librarians (<em>FachreferentInnen</em>)
* Describe the publication using controlled vocabularies (for example from GND)
* Mono-lingual systems (German, English...)

--


## Keywords in the catalogue




<img data-src="./img/2021-10-04_14h45_54.png" width="900"/>

--



## Keywords: Source

* Many fields!
	* RSWK: PICA+ field 041A subfield a
	* K10plus: PICA+ field 044K subfield a
	* project: PICA+ field 041L subfield a
	* local: PICA+ field 044Z subfield a
	* 045D: PICA+ field 045D subfield a
	* LoC: PICA+ field 044A subfield a
* <b>I am mixing them together!</b> (good idea?)
* German and English keywords (but only two languages!)
* <b>Coverage</b>: 64.1%
* Multiple options


--

## Keywords with the Highest Slope: Development

<img data-src="./img/2_4_keywords/plot_lines_keywords_10_statistical_top.png" width="900"/>


--

## Keywords with the Highest Slope

<img data-src="./img/2_4_keywords/keywords_slope_top.png" width="900"/>

--


## Keywords with the Lowest Slope: Development

<img data-src="./img/2_4_keywords/plot_lines_keywords_10_statistical_bottom.png" width="900"/>


--

## Keywords with the Lowest Slope

<img data-src="./img/2_4_keywords/keywords_slope_bottom.png" width="900"/>


---

# Conclusions

--

## Conclusions: Dataset

* Enormous potential of data from catalogues
* Application of quantitative methods (regression)
* With realistic expectations
* Exchange with experts in the library

--

## Conclusions: Tendencies

* Longer books
* Fewer publications in French
* More in German and Spanish
* And little more of English and Portuguese
* Printed still very dominant
* E-books are slowly increasing
* E-books are notably more expensive

--

## Conclusions: Tendencies

* More publications about:
	* Spanish (Argentina) and Italian
	* Reception, film, translation, contact, multilingualism
* Fewer publications about:
	* French
	* Classic genres (novel, lyric, drama) (?)
	* 18th-20th century (?)

--

## Next Steps

* Application of NLP tools
* Closer look to specific categories
	* Anyone interested in <b>collaborations</b>?
* Increase the dataset
	* Longer period
	* Other institutions and countries
	* Other types of publications (research data, articles)


--

## Thanks to the <br />librarians and subject librarians <br />who take care of the cataloge!

--

## Computational methods only give robust results when the data is good

--

<img data-src="../../images/danke.png" width="400"/>

Presentation
* https://jose.calvotello.pages.gwdg.de/slides/talks/20211005_Romanistentag_Romance_Languages/

---

# Further Material


---
# Price

--


## Price: Hypotheses

1. The costs are increasing
2. E-Books are notably more expensive than printed books

--

## Price: Source

* <b>PICA+</b>: field 004A, subfield f (<b>actually, a comment of the ISBN</b>)
* <b>Coverage</b>: 32%
* Different currencies: Deutsche Mark, euros (price in Austria and Germany), dollar, swiss franc, pounds...
* Pretty messy!
* Specific pipeline

--

## Price: Historical Exchange Rates

* Source: https://www.ofx.com/en-au/forex-news/historical-exchange-rates/yearly-average-rates/
	* Euro = 1
	* Dollar = 0.85
	* Pound = 1.32
	* Swiss franc = 0.76
	* Deutsche Mark = 0.51

--

## Price: Development


<img data-src="./img/2_2_price/scatter_price.png" width="600"/>

* Much more data since the 90s
* Regression line with data from 1995 and 2019
* Slope 0.17 (p-value < 0.001)

--

## Price: Currencies


<img data-src="./img/2_2_price/line_development_prizes_median.png" width="800"/>

* Pounds: slope 2.8 (p-value < 0.001)
* Euros: slope 0.13 (p-value < 0.05)


					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    